Package org.gitana.platform.client.log

# Interface LogEntry

All Superinterfaces:
  `ClusterDocument`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `Referenceable`, `Serializable`, `TitleDescription`, `TypedID`

All Known Implementing Classes:
  `LogEntryImpl`

public interface LogEntry extends ClusterDocument

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_BRANCH_ID`
`static final String`
`FIELD_CLASS`
`static final String`
`FIELD_CLASS_FULLY_QUALIFIED_NAME`
`static final String`
`FIELD_CLASS_NAME`
`static final String`
`FIELD_CLASS_PACKAGE`
`static final String`
`FIELD_FILENAME`
`static final String`
`FIELD_LEVEL`
`static final String`
`FIELD_LINE_NUMBER`
`static final String`
`FIELD_MESSAGE`
`static final String`
`FIELD_METHOD`
`static final String`
`FIELD_PRINCIPAL_ID`
`static final String`
`FIELD_REPOSITORY_ID`
`static final String`
`FIELD_THREAD`
`static final String`
`FIELD_THROWABLES`
`static final String`
`FIELD_TIMESTAMP`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassFullyQualifiedName()`
`String`
`getClassName()`
`String`
`getClassPackage()`
`String`
`getFileName()`
`String`
`getLevel()`
`int`
`getLineNumber()`
`String`
`getLogBranchId()`
`String`
`getLogPrincipalId()`
`String`
`getLogRepositoryId()`
`List<LogThrowable>`
`getLogThrowables()`
`String`
`getMessage()`
`String`
`getMethod()`
`String`
`getThread()`
`com.fasterxml.jackson.databind.node.ObjectNode`
`getTimestamp()`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDocument

`getCluster, getClusterId`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_PRINCIPAL_ID

static final String FIELD_PRINCIPAL_ID

See Also:
  - Constant Field Values

### FIELD_REPOSITORY_ID

static final String FIELD_REPOSITORY_ID

See Also:
  - Constant Field Values

### FIELD_BRANCH_ID

static final String FIELD_BRANCH_ID

See Also:
  - Constant Field Values

### FIELD_LEVEL

static final String FIELD_LEVEL

See Also:
  - Constant Field Values

### FIELD_THREAD

static final String FIELD_THREAD

See Also:
  - Constant Field Values

### FIELD_TIMESTAMP

static final String FIELD_TIMESTAMP

See Also:
  - Constant Field Values

### FIELD_THROWABLES

static final String FIELD_THROWABLES

See Also:
  - Constant Field Values

### FIELD_MESSAGE

static final String FIELD_MESSAGE

See Also:
  - Constant Field Values

### FIELD_FILENAME

static final String FIELD_FILENAME

See Also:
  - Constant Field Values

### FIELD_METHOD

static final String FIELD_METHOD

See Also:
  - Constant Field Values

### FIELD_LINE_NUMBER

static final String FIELD_LINE_NUMBER

See Also:
  - Constant Field Values

### FIELD_CLASS

static final String FIELD_CLASS

See Also:
  - Constant Field Values

### FIELD_CLASS_FULLY_QUALIFIED_NAME

static final String FIELD_CLASS_FULLY_QUALIFIED_NAME

See Also:
  - Constant Field Values

### FIELD_CLASS_PACKAGE

static final String FIELD_CLASS_PACKAGE

See Also:
  - Constant Field Values

### FIELD_CLASS_NAME

static final String FIELD_CLASS_NAME

See Also:
  - Constant Field Values

## Method Details

### getLogPrincipalId

String getLogPrincipalId()

### getLogRepositoryId

String getLogRepositoryId()

### getLogBranchId

String getLogBranchId()

### getLevel

String getLevel()

### getThread

String getThread()

### getTimestamp

com.fasterxml.jackson.databind.node.ObjectNode getTimestamp()

### getMessage

String getMessage()

### getFileName

String getFileName()

### getMethod

String getMethod()

### getLineNumber

int getLineNumber()

### getClassFullyQualifiedName

String getClassFullyQualifiedName()

### getClassPackage

String getClassPackage()

### getClassName

String getClassName()

### getLogThrowables

List<LogThrowable> getLogThrowables()